<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>JS Repetition Control Structures</title>

	<!-- bootstrap CSS -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
</head>
<body>

<div class="m-5">
	<h2>Repetition Control Structures</h2>
	<div class="row">
		<div class="col-4">
			<div class="form-group">
				<label for="task1">While Loop</label>
				<input type="number" name="" id="task1" class="form-control">
				<button type="button" onclick="countUsingWhile()" class="btn btn-primary btn-block mt-5">Enter 1</button>
				<p class="text-danger" id="message"></p>
			</div>
		</div>

		<div class="col-4">
			<div class="form-group">
				<label for="">Do-While Loop</label>
				<input type="number" name="" id="task2" class="form-control">
				<button type="submit" onclick="countUsingDoWhile()" class="btn btn-primary btn-block mt-5">Enter 2</button>
				<h5 class="text-danger" id="info"></h5>
			</div>
		</div>
		<div class="col-4">
			<div class="form-group">
				<label for="">For Loop</label>
				<input type="number" name="task3" id="task3" class="form-control">
				<button type="submit" onclick="countUsingForLoop()" class="btn btn-primary btn-block mt-5">Enter 3</button>
				<p class="text-muted" id="response"></p>
			</div>
		</div>
	</div>
	<div class="row">
		<div class="form-group col-4">
			<h1>Accessing Elements of a string</h1>
			<input type="text" name="name" id="userName" placeholder="Insert Name Here" class="form-control">
			<button type="submit" onclick="accessElementsInString()" id="getString" class="btn btn-primary">Get Letters of the Name</button>
			<p class= "mt-4 text-success" id="stringLength"></p>
		</div>

		<div class="form-group col-4">
			<h1>Identify Palindrome</h1>
			<input type="text" name="word" id="word" placeholder="Insert Word Here" class="form-control">
			<button type="submit" onclick="detectPalindrome()" id="detectWord" class="btn btn-primary mt-2">Detect Palindrome</button>
			<p class= "mt-4" id="detectPalindrome"></p>
		</div>

		<div class="form-group col-4">
			<h1>Get All Odd Numbers</h1>
			<input type="number" name="value4" id="value4" placeholder="Insert Number Here" class="form-control">
			<button type="submit" onclick="getOddNumbers()" id="getOdd" class="btn btn-primary mt-2">Get All Odd Numbers</button>
			<p class= "mt-4" id="getOddNum"></p>
		</div>
	</div>
</div>
	<script src="index.js"></script>
	<!-- JS Bundle -->
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
</body>
</html>